﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WR6100: (1 year) VER IEEE /9500+1Hd,DMM
DATE:                  2017-04-11 12:12:23
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       299
CONFIGURATION:         Datron 9500 (G1)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Digital Multimeter
=============================================================================
#
#  Procedure Author:
#        DFM, DMM
#
#  Source:
#        LeCroy WaveRunner® 6000 Series Service Manual, August 2004
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Global Variables Used:
#
#    @Chan
#      This variable specifies which channel of the oscilloscope
#      is currently being tested.
#        @Chan = 1 designates Channel 1
#        @Chan = 2 designates Channel 2
#        @Chan = 3 designates Channel 3
#        @Chan = 4 designates Channel 4
#        @Chan = 5 designates External input
#
#    @NumChan
#      This variable specifies the number of channels the WaveRunner
#      Series Model has.
#
#    @BW_MHz
#      This variable specifies the BW of the WaveRunner Series
#      Model being tested.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        W

  1.002  IF           0
  1.003  9500         1GH                          1Vpp           LS    S  L
  1.004  IEEE         [@DMM]
  1.005  ENDIF

# Verify MET/CAL version compatibility.
  1.006  MATH         @ReqMetCalVersion = "7.20"
  1.007  CALL         Sub MET/CAL Version Check

  1.008  IF           NOT(@MetCalVersionOK)
  1.009  DISP         This procedure requires MET/CAL 7.20 or later.
  1.010  END
  1.011  ENDIF

  1.012  CALL         Sub Display Copyright

# Initialize UUT.
  1.013  IEEE         *CLS;*RST
# Clear parameters, turn channel header off, internal enable register off.
  1.014  IEEE2        PACL;CHDR OFF;INE 0
# Identify UUT.
  1.015  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.016  IF           NOT(FIND(@ModelNum, "WR6100", 1))
  1.017  HEAD         UUT AND SELECTED PROCEDURE DO NOT MATCH!
  1.018  DISP         The UUT is an [V @ModelNum], not a WR6100!
  1.018  DISP
  1.018  DISP         Select "Advance", choose the appropriate
  1.018  DISP         procedure for the UUT, then restart.
  1.019  END
  1.020  ENDIF

# Identify UUT's Characteristics:
  1.021  MATH         @NumChan = 4 ; @BW_MHz = 1000

  1.022  CALL         Sub High Voltage Safety Warning
  1.023  CALL         Sub Select Failed Test Mode
  1.024  CALL         Sub WR6000 Preliminary Instructions

  1.025  DISP         Prior to proceeding, ensure the CH 1 Active Head SMA
  1.025  DISP         connection is torqued to 7-10 lb-in (80-110 N-cm).

  1.026  HEAD         EQUIPMENT REQUIREMENTS
  1.027  OPBR         -z Do you want to review the list of additional
  1.027  OPBR         equipment and/or accessories required?

  1.028  IF           MEM1
# Description of additional test equipment required to run this procedure.
  1.029  DISP         The following additional equipment and/or
  1.029  DISP         accessories are required:
  1.029  DISP
  1.029  DISP         - Cable, double-banana(m)-(m), Pomona Model 2BC-24
  1.029  DISP         - Adapter, double-banana jacks to BNC(m), Pomona
  1.029  DISP         [32] Model 1296 or equivalent
  1.030  ENDIF

  1.031  JMPL         INPUT_NOISE

# ====== INPUT IMPEDANCE ===================================================

  1.032  LABEL        INPUT_IMPEDANCE_1
  1.033  RSLT         =
  1.034  HEAD         {INPUT IMPEDANCE TEST (DC coupled)}
  1.035  MATH         @Chan = 1
  1.036  DISP         Make the following connections:
  1.036  DISP
  1.036  DISP         [32]      9500           to          UUT
  1.036  DISP         [32] CH 1 Active Head -------> Channel 1 input
  1.036  DISP
  1.036  DISP         The next routine operator intervention occurs
  1.036  DISP         in approximately 7 minutes...
  1.037  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500
  1.038  JMPL         CH1_DC_MEASUREMENT

  1.039  LABEL        INPUT_IMPEDANCE_2
  1.040  MATH         @Chan = 2
  1.041  DISP         Make the following connections:
  1.041  DISP
  1.041  DISP         [32]         9500             to           UUT
  1.041  DISP         [32] CH 1 Active Head -------> Channel 2 input
  1.041  DISP
  1.041  DISP         The next routine operator intervention occurs
  1.041  DISP         in approximately 6 minutes...
  1.042  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500
  1.043  JMPL         CH2_DC_MEASUREMENT

  1.044  LABEL        INPUT_IMPEDANCE_3
  1.045  MATH         @Chan = 3
  1.046  DISP         Make the following connections:
  1.046  DISP
  1.046  DISP         [32]         9500             to           UUT
  1.046  DISP         [32] CH 1 Active Head -------> Channel 3 input
  1.046  DISP
  1.046  DISP         The next routine operator intervention occurs
  1.046  DISP         in approximately 6 minutes...
  1.047  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500
  1.048  JMPL         CH3_DC_MEASUREMENT

  1.049  LABEL        INPUT_IMPEDANCE_4
  1.050  MATH         @Chan = 4
  1.051  DISP         Make the following connections:
  1.051  DISP
  1.051  DISP         [32]         9500             to           UUT
  1.051  DISP         [32] CH 1 Active Head -------> Channel 4 input
  1.051  DISP
  1.051  DISP         The next routine operator intervention occurs
  1.051  DISP         in approximately 6 minutes...
  1.052  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500
  1.053  JMPL         CH4_DC_MEASUREMENT

  1.054  LABEL        INPUT_IMPEDANCE_EXT
  1.055  MATH         @Chan = 5
  1.056  DISP         Make the following connections:
  1.056  DISP
  1.056  DISP         [32]         9500             to         UUT
  1.056  DISP         [32] CH 1 Active Head -------> EXTernal input
  1.056  DISP
  1.056  DISP         The next routine operator intervention occurs
  1.056  DISP         in approximately 1 minute...
  1.057  CALL         Sub WR6000 (1 yr) Input Z VER IEEE /9500
  1.058  DISP         Disconnect the Active Head from the UUT.

# ====== LEAKAGE ===========================================================

  1.059  CALL         Sub WR6000 (1 yr) Leakage Tests IEEE /DMM
  1.060  END

# ====== INPUT NOISE =======================================================

  1.061  LABEL        INPUT_NOISE
  1.062  CALL         Sub WR6000 (1 yr) Input Noise Tests IEEE
  1.063  JMPL         INPUT_IMPEDANCE_1

# ====== DC GAIN ACCURACY ==================================================

  1.064  LABEL        CH1_DC_MEASUREMENT
  1.065  RSLT         =
  1.066  HEAD         {DC ACCURACY TEST}
  1.067  CALL         Sub WR6000 Select Channel
  1.068  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /9500
  1.069  JMPL         CH1_OFFSET_MEASUREMENT

  1.070  LABEL        CH2_DC_MEASUREMENT
  1.071  CALL         Sub WR6000 Select Channel
  1.072  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /9500
  1.073  JMPL         CH2_OFFSET_MEASUREMENT

  1.074  LABEL        CH3_DC_MEASUREMENT
  1.075  CALL         Sub WR6000 Select Channel
  1.076  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /9500
  1.077  JMPL         CH3_OFFSET_MEASUREMENT

  1.078  LABEL        CH4_DC_MEASUREMENT
  1.079  CALL         Sub WR6000 Select Channel
  1.080  CALL         Sub WR6000 (1 yr) DC Gain VER IEEE /9500
  1.081  JMPL         CH4_OFFSET_MEASUREMENT

# ====== OFFSET ============================================================

  1.082  LABEL        CH1_OFFSET_MEASUREMENT
  1.083  RSLT         =
  1.084  HEAD         {OFFSET TEST}
  1.085  CALL         Sub WR6000 Select Channel
  1.086  CALL         Sub WR6000 (1 yr) Offset VER IEEE /9500
  1.087  JMPL         CH1_ANALOG_BANDWIDTH

  1.088  LABEL        CH2_OFFSET_MEASUREMENT
  1.089  CALL         Sub WR6000 Select Channel
  1.090  CALL         Sub WR6000 (1 yr) Offset VER IEEE /9500
  1.091  JMPL         CH2_ANALOG_BANDWIDTH

  1.092  LABEL        CH3_OFFSET_MEASUREMENT
  1.093  CALL         Sub WR6000 Select Channel
  1.094  CALL         Sub WR6000 (1 yr) Offset VER IEEE /9500
  1.095  JMPL         CH3_ANALOG_BANDWIDTH

  1.096  LABEL        CH4_OFFSET_MEASUREMENT
  1.097  CALL         Sub WR6000 Select Channel
  1.098  CALL         Sub WR6000 (1 yr) Offset VER IEEE /9500
  1.099  JMPL         CH4_ANALOG_BANDWIDTH

# ====== BANDWIDTH =========================================================

  1.100  LABEL        CH1_ANALOG_BANDWIDTH
  1.101  RSLT         =
  1.102  HEAD         {BANDWIDTH TESTS}
  1.103  CALL         Sub WR6000 Select Channel
  1.104  CALL         Sub WR6100 (1 yr) BW VER IEEE /9500
  1.105  JMPL         TRIGGER_LEVEL_1

  1.106  LABEL        CH2_ANALOG_BANDWIDTH
  1.107  CALL         Sub WR6000 Select Channel
  1.108  CALL         Sub WR6100 (1 yr) BW VER IEEE /9500
  1.109  JMPL         TRIGGER_LEVEL_2

  1.110  LABEL        CH3_ANALOG_BANDWIDTH
  1.111  CALL         Sub WR6000 Select Channel
  1.112  CALL         Sub WR6100 (1 yr) BW VER IEEE /9500
  1.113  JMPL         TRIGGER_LEVEL_3

  1.114  LABEL        CH4_ANALOG_BANDWIDTH
  1.115  CALL         Sub WR6000 Select Channel
  1.116  CALL         Sub WR6100 (1 yr) BW VER IEEE /9500
  1.117  JMPL         TRIGGER_LEVEL_4

# ====== TRIGGER LEVEL =====================================================

  1.118  LABEL        TRIGGER_LEVEL_1
  1.119  RSLT         =
  1.120  HEAD         {TRIGGER TEST (DC coupled)}
  1.121  CALL         Sub WR6000 Select Channel
  1.122  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /9500
  1.123  JMPL         TIMEBASE

  1.124  LABEL        TRIGGER_LEVEL_2
  1.125  CALL         Sub WR6000 Select Channel
  1.126  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /9500
  1.127  JMPL         INPUT_IMPEDANCE_3

  1.128  LABEL        TRIGGER_LEVEL_3
  1.129  CALL         Sub WR6000 Select Channel
  1.130  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /9500
  1.131  JMPL         INPUT_IMPEDANCE_4

  1.132  LABEL        TRIGGER_LEVEL_4
  1.133  CALL         Sub WR6000 Select Channel
  1.134  CALL         Sub WR6000 (1 yr) Trig Level VER IEEE /9500
  1.135  JMPL         INPUT_IMPEDANCE_EXT

# ====== TIMEBASE ==========================================================

  1.136  LABEL        TIMEBASE
  1.137  RSLT         =
  1.138  HEAD         {TIMEBASE TEST}
  1.139  MATH         @Chan = 1
  1.140  CALL         Sub WR6000 (1 yr) Timebase VER IEEE /9500
  1.141  JMPL         INPUT_IMPEDANCE_2
